## hubackup 0.0.2

=== data/Makefile ===

DOMAIN=hubackup
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== po/Makefile ===

DOMAIN=hubackup
PO_FILES := $(wildcard *.po)
CONTACT=sivan@ubuntu.com

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))
	# update the po files 
	#for f in $(PO_FILES); do \
	#	intltool-update -r $${f%.po}  -g $(DOMAIN); \
	#done

=== debian/changelog ===
hubackup (0.0.2) dapper; urgency=low

  * debian/control:
    - Fixed missing dependency of python-gnome2

 -- Sivan Greenberg <sivan@ubuntu.com>  Wed, 10 May 2006 23:59:48 +0300

hubackup (0.0.1) dapper; urgency=low

  * Initial release.

 -- Sivan Greenberg <sivan@ubuntu.com>  Mon, 13 Mar 2006 15:05:16 +0200

=== debian/control ===
Source: hubackup
Section: admin
Priority: optional
Maintainer: Sivan Greenberg <sivan@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), python (>= 2.4)
Build-Depends-Indep: python-dev, intltool (>= 0.34.2-0)
Standards-Version: 3.6.2.1

Package: hubackup
Architecture: all
Depends: ${python:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-gnome2, gksu , dar , pmount, eject, cdrecord, mkisofs, hal (>= 0.5.7-1)
Description: Concise and easy to use backup application for the desktop user
 HUBackup is short for Home User Backup System. As the
 name implies, this is a very simple, concise and easy to use backup
 application that uses the renowned and proven dar (Disk ARchive) to do
 the actual archiving. Emphasis has been on providing true and reliable progress
 indication throughout all operations, as well as the ability to cancel any
 operation at any given point. HUBackup mainly concerns with backing up your
 home folder data, allowing you to restore it in case of data loss.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=hubackup
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

build: build-stamp

build-stamp: 
	dh_testdir
	python ./setup.py build
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	python ./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	python ./setup.py install --prefix=$(CURDIR)/debian/hubackup/usr
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/BackupEngine.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/CDBurner.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/ConffileParser.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/DeviceInfo.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/fsInfo.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/fsMisc.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/ISOBuilder.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/RestoreEngine.py
	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/TestEngine.py

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_desktop
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hubackup 0.0.6

=== debian/changelog ===
hubackup (0.0.6) edgy; urgency=low

  * Fixed erronous reported version number.
    (Closes malone #59414)

 -- Sivan Greenberg <sivan@ubuntu.com>  Wed, 11 Oct 2006 13:13:06 +0200

hubackup (0.0.5) edgy; urgency=low

  * Uploading a fix that will hopefully make malone #43941
    go away and all it's realtives and duplicates.

 -- Sivan Greenberg <sivan@ubuntu.com>  Tue, 10 Oct 2006 14:49:13 +0200

hubackup (0.0.4) edgy; urgency=low

  * Partially working version for the backup process, using the new GUI
    workflow that was designed in Paris.
  * Alpha quality! use at your own risk, but testing is welcome.
  * also merged the python-pexpect fix.

 -- Sivan Greenberg <sivan@ubuntu.com>  Thu,  7 Sep 2006 14:55:58 +0300

hubackup (0.0.3) edgy; urgency=low

  * changed dependency from pexpect to python-pexpect

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 09:55:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: hubackup
 Architecture: all
-Depends: ${python:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-gnome2, gksu , dar , pmount, eject, cdrecord, mkisofs, hal (>= 0.5.7-1)
+Depends: ${python:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-gnome2, gksu , dar , pmount, eject, cdrecord, mkisofs, hal (>= 0.5.7-1), python2.4-dbus, python-pexpect
 Description: Concise and easy to use backup application for the desktop user
  HUBackup is short for Home User Backup System. As the
  name implies, this is a very simple, concise and easy to use backup

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,13 @@
 	dh_builddeb
 
 binary-arch:
+	# nothing
+
+arch-build:
+	rm -rf debian/arch-build
+	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
+	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
 
 
 binary: binary-indep binary-arch

## hubackup 0.0.7

=== debian/changelog ===
hubackup (0.0.7) feisty; urgency=low

  * Make the build independent of the python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 13:44:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Sivan Greenberg <sivan@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.0), python (>= 2.4)
-Build-Depends-Indep: python-dev, intltool (>= 0.34.2-0)
+Build-Depends-Indep: python-dev, intltool (>= 0.34.2-0), python-central
+XS-Python-Version: current
 Standards-Version: 3.6.2.1
 
 Package: hubackup
 Architecture: all
-Depends: ${python:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-gnome2, gksu , dar , pmount, eject, cdrecord, mkisofs, hal (>= 0.5.7-1), python2.4-dbus, python-pexpect
+Depends: ${python:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-gnome2, gksu , dar , pmount, eject, cdrecord, mkisofs, hal (>= 0.5.7-1), python-dbus, python-pexpect
+XB-Python-Version: ${python:Versions}
 Description: Concise and easy to use backup application for the desktop user
  HUBackup is short for Home User Backup System. As the
  name implies, this is a very simple, concise and easy to use backup

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 PKG=hubackup
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
+PY := $(shell pyversions -d)
 
 build: build-stamp
 
@@ -36,15 +37,15 @@
 	dh_installdirs
 
 	python ./setup.py install --prefix=$(CURDIR)/debian/hubackup/usr
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/BackupEngine.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/CDBurner.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/ConffileParser.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/DeviceInfo.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/fsInfo.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/fsMisc.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/ISOBuilder.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/RestoreEngine.py
-	chmod +x $(CURDIR)/debian/hubackup/usr/lib/python2.4/site-packages/HUBackup/backend/TestEngine.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/BackupEngine.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/CDBurner.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/ConffileParser.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/DeviceInfo.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/fsInfo.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/fsMisc.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/ISOBuilder.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/RestoreEngine.py
+	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/TestEngine.py
 
 binary-indep: build install
 	dh_testdir
@@ -58,7 +59,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_python
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## hubackup 0.0.8

=== debian/changelog ===
hubackup (0.0.8) hardy; urgency=low

  * Fixed .desktop files
  * Added icon debian/hubackup.svg (LP: #43337)

 -- David Cordero <info@davidcordero.info>  Tue, 29 Jan 2008 22:51:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5.0.0), python (>= 2.4)
 Build-Depends-Indep: python-dev, intltool (>= 0.34.2-0), python-central
 XS-Python-Version: current
-Standards-Version: 3.6.2.1
+Standards-Version: 3.7.3
 
 Package: hubackup
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,8 @@
 	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/ISOBuilder.py
 	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/RestoreEngine.py
 	chmod +x $(CURDIR)/debian/hubackup/usr/lib/$(PY)/site-packages/HUBackup/backend/TestEngine.py
+	
+	dh_install debian/hubackup.svg usr/share/pixmaps
 
 binary-indep: build install
 	dh_testdir
@@ -66,6 +68,7 @@
 	dh_md5sums
 	dh_builddeb
 
+
 binary-arch:
 	# nothing
